#!/bin/sh
echo 'name: syb
version: 0.3
id: syb-0.3-8a51ec8e05a2a260bc0e1bb18be953b0

license: BSD3
copyright:
maintainer: generics@haskell.org
stability: provisional
homepage: http://www.cs.uu.nl/wiki/GenericProgramming/SYB
package-url:
description: This package contains the generics system described in the
             /Scrap Your Boilerplate/ papers (see
             <http://www.cs.uu.nl/wiki/GenericProgramming/SYB>).
             It defines the @Data@ class of types permitting folding and unfolding
             of constructor applications, instances of this class for primitive
             types, and a variety of traversals.
category: Generics
author: Ralf Lammel, Simon Peyton Jones
exposed: True
exposed-modules: Data.Generics Data.Generics.Basics
                 Data.Generics.Instances Data.Generics.Aliases Data.Generics.Schemes
                 Data.Generics.Text Data.Generics.Twins Data.Generics.Builders
                 Generics.SYB Generics.SYB.Basics Generics.SYB.Instances
                 Generics.SYB.Aliases Generics.SYB.Schemes Generics.SYB.Text
                 Generics.SYB.Twins Generics.SYB.Builders
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.3/cabal/syb-0.3
library-dirs: /usr/local/lib/ghc-7.0.3/cabal/syb-0.3 /usr/local/lib
hs-libraries: HSsyb-0.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.3.1.0-63fd52d9e7e39016c91be0baf3543757
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.3/cabal/syb-0.3/html/syb.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.3/cabal/syb-0.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
